Bug 263501 - fix PEAR with current pear.php.net server
fix PEAR with current pear.php.net server
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: php (Show other bugs)
All All
medium Severity low
: ---
: ---
Assigned To: Joe Orton
Depends On:
  Show dependency treegraph
Reported: 2007-08-29 10:24 EDT by Jonathan Martens
Modified: 2010-10-22 14:12 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2008-0545
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-07-16 05:57:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Martens 2007-08-29 10:24:50 EDT
Please upgrade PEAR to at least 1.4.11 as the packaged version is no longer
maintained and upgrading to a newer version requires some extra steps due to
bugs in php-pear and is not trivial, from the pear web site (pear.php.net):

[February 1, 2007] As of January 1, 2008, PEAR will be dropping support for PEAR
versions 1.3.6 and earlier. If you are using PEAR 1.3.6 or earlier, we strongly
encourage you to upgrade using these simple steps:

pear upgrade --force PEAR-1.3.6 Archive_Tar-1.3.1 Console_Getopt-1.2
pear upgrade --force PEAR-1.4.11
pear upgrade PEAR

The full statement is located here: http://pear.php.net/news/package.xml.1.0.php
Comment 1 Ajay Sharma 2008-01-05 19:55:16 EST
The "pear" command is now broken because of this bug.  Can we please change the
Severity to "high" so this can get resolved?
Comment 2 Joe Orton 2008-01-11 10:04:50 EST
Thanks for the reports.
Comment 8 Jonathan Martens 2008-03-24 17:10:20 EDT
Any status updates on this? I would really like to know what needs to be done to
have PEAR upgraded to a supported version. It seems to me that not that much
effort is needed to build a new package...

I second that the priority might be increased based on the fact that we are
running a non supported version at the moment.
Comment 12 Arturas Moskvinas 2008-05-20 15:30:42 EDT
Currently php-pear package functionality is almost useless, at least you cannot
install almost nothing using it from remote pear/pecl repositories. Because xml
format is changed you can't even install some newer packages, because xml
configuration version 1 is not supported. Here is workaround how to upgrade
php-pear (based on Jonathan Martens). But php-pear needs upgrade from
Distribution manufacturer.
Here is instruction:
1. Download pear 1.3.6 archive:
2. Download xml_rpm 1.4.0 archive:
3. Download archive_tar 1.3.1 archive:
3. Unpack xml_rpc archive, copy package.xml into XML_RPC-1.4.0 dir, chdir there
4. pear upgrade package.xml
you upgraded xml_rpc
5. Unpack pear archive, copy package.xml into PEAR-1.3.6 dir, chdir there
4. pear upgrade package.xml
you upgraded pear to 1.3.6 version
5. unpack archive_tar, copy package.xml into Archive_tar-1.3.1 dir, chdir there
pear upgrade package.xml
archive_tar - upgraded
6. Download pear 1.4.11 archive:
7. Unpack pear archive, copy package.xml into PEAR-1.4.11, chdir there
8. Edit /usr/bin/pear
Last line: exec $PHP -C -q $INCARG -d output_buffering=1 -d open_basedir="" -d
safe_mode=0 $INCDIR/pearcmd.php "$@"
Change to: exec $PHP -C -q $INCARG -d output_buffering=1 -dmemory_limit=16M -d
open_basedir="" -d safe_mode=0 $INCDIR/pearcmd.php "$@"
8mb default value is a bit too low
9. In PEAR-1.4.11 enter "pear upgrade package.xml"
10. You should now have pear 1.4.11, from here you can upgrade to any higher
pear version you need.
Comment 13 Jonathan Martens 2008-05-20 18:14:34 EDT
Instructions have changed a little bit since my first post, this should work as
well instead of the extensive instruction listed in the previous post:

pear upgrade --force http://pear.php.net/get/Archive_Tar
http://pear.php.net/get/XML_Parser http://pear.php.net/get/Console_Getopt-1.2.2
pear upgrade --force http://pear.php.net/get/PEAR-1.3.3 (_IF_ your existing
version is older than 1.3.3)
pear upgrade --force http://pear.php.net/get/PEAR-1.4.3.tar
pear upgrade PEAR
Comment 17 Joe Orton 2008-07-14 16:10:18 EDT
The fix for this bug is being included in a forthcoming erratum; PEAR is being
updated for 1.4.9 to match RHEL-5.  Test packages are now available; these are
unsupported and have not been through the Red Hat QA process; further testing is

Comment 19 errata-xmlrpc 2008-07-16 05:57:22 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.